function [ kmerdistrib ] = backgroundKmers(seqs, maxOrder, len)
%function [ kmerdistrib ] = backgroundKmers(seqs, maxOrder, len)

if ~iscell(seqs),
	error('seqs must be a cell array');
end

max_mismatch=0;
x=zeros(1,len);
shifts = sprintf( '%i ', floor(x(end:-1:1)) );
clear sg
sg('send_command', 'new_svm LIBSVM');
sg('set_features', 'TRAIN', seqs, 'DNA');
sg('send_command', sprintf( 'set_kernel WEIGHTEDDEGREEPOS2_NONORM CHAR 10 %i %i %i %s', maxOrder, max_mismatch, len, shifts ) );
sg('send_command', 'init_kernel TRAIN');
alphas=[ones(size(seqs,2),1), [(1:size(seqs,2))-1]'];
sg('set_svm',0,alphas);

alphabetSize=4;
l = 0;
kmerdistrib={};
CC = sg( 'get_kernel_optimization', maxOrder );
for( i = 1:maxOrder )
  L = l + alphabetSize^i * len;
  kmerdistrib{i}=reshape( CC((l+1):L), alphabetSize^i, len );
  l = L;
end;
