function fig=plot_weightmass( pos0, w, opt );

fig=[];

if( ~exist('opt','var') )
  opt = [];
end;
if ~isfield(opt,'range')
  opt.range = 1:size(w,2);
end
lb=min(opt.range);
ub=max(opt.range);
w=w(:,lb:ub);

if ~isfield(opt,'titleStr')
  opt.titleStr = '';
end
if ~isfield(opt,'orders')
  opt.orders = 1:size(w,1);
end
if ~isfield(opt, 'autoaspect')
	opt.autoaspect='1';
end
if ~isfield(opt, 'linewidth')
	opt.linewidth=3;
end
% --- prepare
[ kMax, seqLen ] = size( w );
pos = (1:seqLen) - pos0 + lb -1;
if( seqLen <= 10 )
  tickDist = 2;
elseif( seqLen <= 50 )
  tickDist = 5;
else
  tickDist = 10;
end;
xTick = find( mod(pos,tickDist) == 0 );
xTickLabel = pos( xTick );

fig = figure;
set( gca, 'FontSize', 16 ); 

XT=w;
XT=100*XT/max(abs(XT(:)));
cmap=colormap;

for i=1:size(XT,1),
	c=cmap(ceil(i*size(cmap,1)/size(XT,1)), :);
	plot(XT(i,:), 'LineWidth', opt.linewidth, 'Color', c);
	hold on
end
grid on
title( opt.titleStr );
ylabel( 'Weight Mass' );
xlabel( 'Position' );
set( gca, 'XTick', xTick );
set( gca, 'XTickLabel', xTickLabel );

str={};
for i=1:kMax
	str{i} = sprintf('k=%d',i);
end
legend(str);

if opt.autoaspect
  p=get(gcf,'PaperPosition');
  p(3)=8*size(XT,2)/50;
  p(3)=min(30,p(3));
  set(gcf,'PaperPosition',p);
end
axis tight
